* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Fonts */
.yarn-bombing { 
  font-family: 'Fredoka', sans-serif; 
}
.public-sculpture { 
  font-family: 'Luckiest Guy', cursive; 
}
.wall-painting { 
  font-family: 'Rubik Wet Paint', cursive; 
}
.graffiti { 
  font-family: 'Sedgwick Ave Display', cursive; 
}
.threeD-Art { 
  font-family: 'Shrikhand', cursive; 
}
.stencil-art{
  font-family: "Saira Stencil One", sans-serif;
  font-weight: 400;
  font-style: normal;
}
.kopjes-frame2{ 
  font-size: 'Mochiy Pop P One', sans-serif;
}


body {
  height: 150vh;
  overflow-x: hidden;
}

/*FRAME 1*/

.frame1 {
  position: relative;
  overflow: hidden;
}

/* achtergrondlaag */
.frame1-background {
  position: absolute;
  inset: 0;
  z-index: 0;

  background-image: url(plaatjes/achtergrond1.png);
  background-repeat: repeat;
  background-color: rgba(135, 135, 135, 0.2);
  background-blend-mode: lighten;

  background-size: 800px 800px;
  background-position: 50% 100%;

  will-change: background-size;
}

/* inhoud boven achtergrond */
.frame1-content {
  position: relative;
  z-index: 1;
  transform-origin: bottom center;
  will-change: transform, opacity;
}

.frame1-koptekst {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 90vh;
  color: #DF4A21;
  font-family: 'Nosifer', cursive;
  font-size: 120px;
  -webkit-text-stroke: 0.1px #e4e4e4;

  z-index: 3;
}

.hero-wrapper {
  position: sticky;
  top: 0;
  height: 280px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: -280px;
  z-index: 2;
}

.hero {
  height: 255.57px;
  transform: rotate(-45deg);
  transition: transform 0.05s linear, opacity 0.3s linear;
  will-change: transform, opacity;
}

.plaatjes {
  left: -140px;
  height: 400px;
  width: 100%;
  margin-top: 40px;
  position: relative;
  z-index: 1;
}

.track {
  display: flex;
  gap: 20px;
  width: max-content;
  align-items: flex-end;
}

.scroll-active {
  animation: scroll 30s linear infinite;
}

.item {
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-decoration: none;
  color: white;
}

.plaatjes img {
  height: 255.57px;
}

.plaatjes p {
  color: white;
  font-size: 20px;
  margin-top: 6px;
  text-align: center;
}

.center-item img,
.center-item p {
  opacity: 0;
  visibility: hidden;
  transition: opacity .3s linear;
}

.center-item.revealed img,
.center-item.revealed p {
  opacity: 1;
  visibility: visible;
}

@keyframes scroll {
  0% { transform: translateX(0); }
  100% { transform: translateX(-2229.51px); }
}

/*FRAME 2*/

.frame2 {
  position: relative;
  z-index: 2;
  margin-top: 150vh;
  height: 290vh;

  background-image: url(plaatjes/achtergrond1.png);
  background-repeat: repeat;
  background-size: 800px 800px;
  background-color: rgba(8, 8, 8, 0.4);
  background-blend-mode: darken;

  border-top-left-radius: 70px;
  border-top-right-radius: 70px;
  overflow: hidden;
}

.frame2::before {
  content: "";
  position: absolute;
  top: -40px;
  left: 0;
  width: 100%;
  height: 80px;

  background: linear-gradient(
    to bottom,
    rgba(223, 74, 33, 0.6),
    rgba(223, 74, 33, 0)
  );

  filter: blur(12px);
  pointer-events: none;
  z-index: 1;
}

.frame2-koptekst {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 70vh;
  color: #DF4A21;
  font-family: 'Nosifer', cursive;
  font-size: 80px;
  text-shadow:
    2px 0 0 white,
    -2px 0 0 white,
    0 2px 0 white,
    0 -2px 0 white;
}

.info-street-artists h2 {
  margin-top: 30px;
}

.info-street-artists h3 {
  color: white;
  margin: 20px 0 90px 0;
  font-family: sans-serif;
}

/* BASIS */
.artist-left,
.artist-right-edgar,
.artist-right-blu {
  will-change: transform;
  transition: transform 0.9s cubic-bezier(0.22, 1, 0.36, 1);
  position: relative;
}

.artist-left {
  transform: translateX(-70vw);
}

.artist-right-edgar,
.artist-right-blu {
  transform: translateX(70vw);
}

/* EINDEPOSITIE */
.artist-left.show,
.artist-right-edgar.show,
.artist-right-blu.show {
  transform: translateX(0);
}

.artist-left h2 {
  color: #DF4A21;
  font-family: 'Mochiy Pop P One', sans-serif;
  margin-left: 170px;
}

.artist-left h3 {
  color: white;
  margin-left: 85px;
  font-family: sans-serif;
  width: 800px;
}

.artist-right-edgar,
.artist-right-blu {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.artist-right-edgar h2 {
  color: #DF4A21;
  font-family: 'Mochiy Pop P One', sans-serif;
  text-align: left;
  margin-right: 625px;
}

.artist-right-blu h2 {
  color: #DF4A21;
  font-family: 'Mochiy Pop P One', sans-serif;
  text-align: left;
  margin-right: 755px;
}

.artist-right-edgar h3,
.artist-right-blu h3 {
  color: white;
  margin-right: 85px;
  font-family: sans-serif;
  text-align: left;
  max-width: 800px;
}


/* links: afbeelding rechts van tekst */
.artist-left img {
  position: absolute;
  right: 300px;
  top: 0px;
}

/* rechts: afbeelding links van tekst */
.artist-right-edgar img {
  position: absolute;
  left: 150px;
  top: 10px;
}

.artist-right-blu img {
  position: absolute;
  left: 250px;
  top: 20px;
}

.info-banksy,
.info-edgar-müller,
.info-seen,
.info-blu {
  height: 300px;
  width: auto;
  border-radius: 8px;
  border: solid #DF4A21 2px;
  box-shadow: 8px 8px 20px rgba(223, 74, 33, 0.6);
}
